/**
 * convert some links to new links, for flashplayer
 * ATTENTION: DO NOT CHANGE NAME AND PARAMETERs
 * @param {String} url
 * @returns {String}
 */
var convertPhoenixLinks = function(url) {
    //convert language to product
    var mappingLanguageToProductString = function(language) {
        //config list for mapping language to prouct part
        var languageMapping = {
            //cs: '',
            da: 'produkter',
            de: 'produkte',
            en: 'products',
            es: 'productos',
            fr: 'produits',
            //HU: '(---)',
            it: 'prodotti',
            //JA: '(---)',
            //KO: '(---)',
            nl: 'producten',
            no: 'produkter',
            pl: 'produkty',
            pt: 'produtos',
            //RU: '(---)',
            sv: 'produkter',
            fi: 'tuotteet'
                    //TR: '(---)',
                    //ZH: '(---)',
        };
        if (languageMapping[language]) {
            return languageMapping[language];
        } else {
            return null;
        }
    }
    //end convert language to product

    //convert country to language
    var mappingFromCountryToLanguage = function(country) {
        //mapping list for country to language for fallback if language paramater not set
        var countryToLanguage = {
            de: 'de',
            pl: 'pl',
            ch: 'de',
            us: 'en',
            //ru: '',
            //jp: '',
            ca: 'en',
            fi: 'fi',
            fr: 'fr',
            //in: '',
            br: 'pt',
            //kr: '',
            //sg: '',
            gb: 'en',
            at: 'de',
            be: 'fr',
            it: 'it',
            lu: 'de',
            mx: 'sp',
            nl: 'nl',
            se: 'sv',
            en: 'en',
            dk: 'da',
            no: 'no',
            es: 'es',
            ar: 'es',
            //hu: '',
            ie: 'en',
            nz: 'en',
            //tr: '',
            //tw: '',
            cl: 'es',
            //cz: '',
            //kz: '',
            pt: 'pt',
            za: 'en'
                    //ua: '',
                    //ae: ''
        }
        if (countryToLanguage[country]) {
            return countryToLanguage[country];
        } else {
            return 'en';
        }
    }
    //end convert country to language

    //start converting
    var result = url,
            //match to links like http://www.phoenixcontact.com/country/language/3004362
            regex = /^(https?\:\/\/www\.phoenixcontact\.com\/)(country\/language)(\/\d+)$/i,
            link = url.match(regex),
            //look for country part in location pathname
            country = document.location.pathname.match(/\/local_([a-z]+)\//i);
    if (link && country) {
        //look for language part in location get parameters
        languageMatch = document.location.search.match(/language=([a-z]+)/i);
        var language = 'en';
        if (languageMatch && country[1] != 'fi' && country[1] != 'ro') {
            language = languageMatch[1].toLowerCase();
        } else {
            language = mappingFromCountryToLanguage(country[1]);
            var productString = mappingLanguageToProductString(language);
        }
        var productString = mappingLanguageToProductString(language);
        //fallback to country if language not found in mapping table
        if (!productString) {
            language = mappingFromCountryToLanguage(country[1]);
            productString = mappingLanguageToProductString(language);
        }
        //rebuild link and replace the needed parts
        result = link[1] + country[1] + '/' + productString + link[3];
    }
    return result;
}